Home Help Center

icephp 1.0.1-bin-vc70 uses php4ts.dll ?

Hi,

When I try to load the php_ice.dll I downloaded, I get the error "dynamic link library php4ts.dll not found in path".

Which is odd since I am using :

PHP 5.0.0b4 (cgi-fcgi) (built: Feb 12 2004 17:59:58)
Copyright (c) 1997-2004 The PHP Group
Zend Engine v2.0.0-dev, Copyright (c) 1998-2004 Zend Technologies

I tried to build icephp from source but then I have to build php as well :(

What am I doing wrong?

Thanks

Comments

  • diddekdiddek Member
    icephp compile errors

    And when I try to compile the icephp source I get:

    proxy.cpp(1483) : error C2660: 'zend_objects_store_put' : function does not take 4 arguments

    I tried to download beta2, which I cant find, so I am using beta4

    I could fix this, but, did anyone had the same problems or is there anwasy way around this?

    thanks - Dirk
  • mesmes CaliforniaAdministrators, ZeroC Staff Mark SpruiellOrganization: ZeroC, Inc.Project: Ice Developer ZeroC Staff
    Hi,

    The current release of IcePHP is not compatible with PHP5b4. You can obtain the Windows binary release of PHP5b2 here.

    Regarding php4ts.dll: that is the correct DLL name. The PHP folks have not renamed this DLL in the PHP5 release (or at least they hadn't in PHP5b2).

    We will release an updated version of IcePHP that works with PHP5b4 in the near future.

    Take care,
    - Mark
Sign In or Register to comment.